Page MenuHomePhabricator

Media search results are incomplete
Closed, DuplicatePublic

Description

from https://www.mediawiki.org/wiki/Topic:Ttv0bd1552zlgy0p

Hi all,

When I open Media settings (Insert -> Media) and type in "L" it says nothing found. If I type in "L3" it shows the correct PDF file. Is there a way to convince the wiki to list all the media starting with letter [a-z] or show all the available media? Because not every user knows exactly what he has to search for.

If I test with other Picture Database ($wgUseInstantCommons = true;) it works with only typing in one letter.

MediaWiki Version: 1.28.0

Reply 7 months ago
Whatamidoing (WMF) (talkcontribs)
Well, that works on this wiki (after a delay). What happens in the regular Special:Search box, if you type in File:L? Does it list the files that you expect?

Reply Thank 7 months ago
Lanthanis (talkcontribs)
If you are not using CirrusSearch or another fulltext search engine, you have to use search parameter like "L3" or ~L

Reply Thank 7 months ago
78.36.53.186 (talkcontribs)
Hello i have same problem but even worse- images found only whet full file name is typed, otherwise it prints "No results found."

When search through regular search with "File:" prefix everything works good after first typed letter.

MediaWiki 1.31.0-alpha (44e0eec)

VisualEditor 0.1.0 (b82c769) 04:43, 22 января 2018

tenx!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2018, 2:18 PM
Aklapper updated the task description. (Show Details)Feb 11 2018, 3:05 PM
Aklapper renamed this task from Media settings search is incomplete to Media settings search results are incomplete.Feb 12 2018, 1:25 PM
Esanders renamed this task from Media settings search results are incomplete to Media search results are incomplete.Feb 12 2018, 7:53 PM
Esanders added a subscriber: Esanders.

This sounds like a search API issue, rather than a VE issue. I can't imagine it is optimised to give sensible results with single letter queries, but I can see how smaller wikis may want this configured differently.

Igorsolovki added a comment.EditedFeb 13 2018, 11:27 AM

Hi! Thanks for answering!

when i put down "file:" in form on a wiki page its already gives some results

in log i get this

192.168.122.131 - - [13/Feb/2018:11:14:12 +0000] "GET /api.php?action=opensearch&format=json&formatversion=2&search=file%D0%96&namespace=0&limit=10&suggest=true HTTP/1.1" 200 19 "http://192.168.122.148/index.php?title=%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9F%D0%BE%D0%B8%D1%81%D0%BA&profile=advanced&search=t&fulltext=1" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36

In VE if i put "test.pn" (full filename is test.png) i get nothing :

in logs i have:

192.168.122.131 - - [13/Feb/2018:11:17:47 +0000] "GET /api.php?action=query&format=json&generator=search&gsrnamespace=6&iiurlheight=200&iiprop=dimensions%7Curl%7Cmediatype%7Cextmetadata%7Ctimestamp%7Cuser&prop=imageinfo&gsrsearch=test%2Epn&iiurlwidth=300&gsroffset=0&gsrlimit=15 HTTP/1.1" 200 20 "http://192.168.122.148/index.php/%D0%A0%D0%BE%D0%B4%D1%81%D1%82%D0%B2%D0%B5%D0%BD%D0%BD%D0%B8%D0%BA%D0%B8?veaction=edit" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36"

in debug-wiki.log i have:

IP: 192.168.122.131
Start request GET /api.php?action=query&format=json&generator=search&gsrnamespace=6&iiurlheight=200&iiprop=dimensions%7Curl%7Cmediatype%7Cextmetadata%7Ctimestamp%7Cuser&prop=imageinfo&gsrsearch=test%2Epn&iiurlwidth=300&gsroffset=0&gsrlimit=15
HTTP HEADERS:
HOST: 192.168.122.148
CONNECTION: keep-alive
ACCEPT: application/json, text/javascript, */*; q=0.01
X-REQUESTED-WITH: XMLHttpRequest
USER-AGENT: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
REFERER: http://192.168.122.148/index.php/%D0%A0%D0%BE%D0%B4%D1%81%D1%82%D0%B2%D0%B5%D0%BD%D0%BD%D0%B8%D0%BA%D0%B8?veaction=edit
ACCEPT-ENCODING: gzip, deflate
ACCEPT-LANGUAGE: ru,en;q=0.8,en-US;q=0.6
COOKIE: mw_installer_session=vlq6fu0eoh9tmjhlqdcr4cic6u; wikiEditor-0-toolbar-section=advanced; wikiEditor-0-booklet-help-page=format; wiki0_session=t2ufru9mnf1qrrninbf1e8c4f1gjnd0r; wiki0UserID=1; wiki0UserName=Admin; wiki0Token=e35d06dd90a6f03a498cbd5eef8a27c3; VEE=visualeditor
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: SqlBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreDB
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {
    "IPAddress": "192.168.122.131",
    "UserAgent": "Mozilla\/5.0 (X11; Linux x86_64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/61.0.3163.100 Safari\/537.36",
    "ChronologyProtection": false,
    "ChronologyPositionIndex": 0
}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBConnection] Connected to database 0 at 'localhost'.
[DBQuery] wiki0 BEGIN /* Wikimedia\Rdbms\Database::query (LCStoreDB::get)  */
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'deps'  LIMIT 1
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'list'  LIMIT 1
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'preload'  LIMIT 1 
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'preload'  LIMIT 1 
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'fallbackSequence'  LIMIT 1
User: cache miss for user 1
[DBQuery] wiki0 SELECT /* User::loadFromDatabase  */  user_id,user_name,user_real_name,user_email,user_touched,user_token,user_email_authenticated,user_email_token,user_email_token_expires,user_registration,user_editcount  FROM `user`    WHERE user_id = '1'  LIMIT 1
[DBQuery] wiki0 SELECT /* UserGroupMembership::getMembershipsForUser  */  ug_user,ug_group,ug_expiry  FROM `user_groups`    WHERE ug_user = '1'
[DBQuery] wiki0 SELECT /* MediaWiki\Storage\RevisionStore::fetchRevisionRowFromConds  */  rev_id,rev_page,rev_text_id,rev_timestamp,rev_user_text,rev_user,rev_minor_edit,rev_deleted,rev_len,rev_parent_id,rev_sha1,rev_comment AS `rev_comment_text`,NULL AS `rev_comment_data`,NULL AS `rev_comment_cid`,rev_content_format,rev_content_model,page_namespace,page_title,page_id,page_latest,page_is_redirect,page_len,user_name  FROM `revision` INNER JOIN `page` ON ((page_id = rev_page)) LEFT JOIN `user` ON ((rev_user != 0) AND (user_id = rev_user))   WHERE page_namespace = '8' AND page_title = 'Gadgets-definition' AND (rev_id=page_latest)  LIMIT 1
User: loading options for user 1 from database.
[DBQuery] wiki0 SELECT /* User::loadOptions  */  up_property,up_value  FROM `user_properties`    WHERE up_user = '1'
[DBConnection] Connected to database 0 at 'localhost'.
[DBQuery] wiki0 SHOW /* Wikimedia\Rdbms\DatabaseMysqlBase::serverIsReadOnly  */ GLOBAL VARIABLES LIKE 'read_only'
[SQLBagOStuff] Connection 13594 will be used for SqlBagOStuff
[DBQuery] wiki0 SELECT /* SqlBagOStuff::getMulti  */  keyname,value,exptime  FROM `objectcache`    WHERE keyname = 'wiki0:MWSession:t2ufru9mnf1qrrninbf1e8c4f1gjnd0r'
[DBQuery] wiki0 SHOW /* SearchMySQL::minSearchLength  */ GLOBAL VARIABLES LIKE 'ft\_min\_word\_len'
SearchMySQL::parseQuery: Would search with '+testu82epnu800 '
SearchMySQL::parseQuery: Match with /\btest\.pn\b/
[DBQuery] wiki0 SELECT /* SearchMySQL::searchInternal  */  page_id,page_namespace,page_title  FROM `page`,`searchindex`    WHERE (page_id=si_page) AND ( MATCH(si_title) AGAINST('+testu82epnu800 ' IN BOOLEAN MODE) ) AND page_namespace = '6'  LIMIT 16
SearchMySQL::parseQuery: Would search with '+testu82epnu800 '
SearchMySQL::parseQuery: Match with /\btest\.pn\b/
[DBQuery] wiki0 SELECT /* SearchMySQL::searchInternal  */  COUNT(*) as c  FROM `page`,`searchindex`    WHERE (page_id=si_page) AND ( MATCH(si_title) AGAINST('+testu82epnu800 ' IN BOOLEAN MODE) ) AND page_namespace = '6'
ApiMain::setCacheMode: setting cache mode private
[Mime] MimeAnalyzer::loadFiles: loading mime types from /var/www/html/includes/libs/mime/mime.types

[Mime] MimeAnalyzer::loadFiles: loading mime info from /var/www/html/includes/libs/mime/mime.info

MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: LBFactory shutdown completed
[DBQuery] wiki0 COMMIT /* MWCallableUpdate::doUpdate  */
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Closing connection to database 'localhost'.

until i print full filename:

access.log:

192.168.122.131 - - [13/Feb/2018:11:24:41 +0000] "GET /api.php?action=query&format=json&generator=search&gsrnamespace=6&iiurlheight=200&iiprop=dimensions%7Curl%7Cmediatype%7Cextmetadata%7Ctimestamp%7Cuser&prop=imageinfo&gsrsearch=test%2Epng&iiurlwidth=300&gsroffset=0&gsrlimit=15 HTTP/1.1" 200 777 "http://192.168.122.148/index.php/%D0%A0%D0%BE%D0%B4%D1%81%D1%82%D0%B2%D0%B5%D0%BD%D0%BD%D0%B8%D0%BA%D0%B8?veaction=edit" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36"

debug-wiki.log:

IP: 192.168.122.131                                                                                                      [35/5608]
Start request GET /api.php?action=query&format=json&generator=search&gsrnamespace=6&iiurlheight=200&iiprop=dimensions%7Curl%7Cmedi
atype%7Cextmetadata%7Ctimestamp%7Cuser&prop=imageinfo&gsrsearch=test%2Epng&iiurlwidth=300&gsroffset=0&gsrlimit=15
HTTP HEADERS:
HOST: 192.168.122.148
CONNECTION: keep-alive
ACCEPT: application/json, text/javascript, */*; q=0.01
X-REQUESTED-WITH: XMLHttpRequest
USER-AGENT: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
REFERER: http://192.168.122.148/index.php/%D0%A0%D0%BE%D0%B4%D1%81%D1%82%D0%B2%D0%B5%D0%BD%D0%BD%D0%B8%D0%BA%D0%B8?veaction=edit
ACCEPT-ENCODING: gzip, deflate
ACCEPT-LANGUAGE: ru,en;q=0.8,en-US;q=0.6
COOKIE: mw_installer_session=vlq6fu0eoh9tmjhlqdcr4cic6u; wikiEditor-0-toolbar-section=advanced; wikiEditor-0-booklet-help-page=for
mat; wiki0_session=t2ufru9mnf1qrrninbf1e8c4f1gjnd0r; wiki0UserID=1; wiki0UserName=Admin; wiki0Token=e35d06dd90a6f03a498cbd5eef8a27
c3; VEE=visualeditor
[caches] cluster: EmptyBagOStuff, WAN: mediawiki-main-default, stash: db-replicated, message: SqlBagOStuff, session: SqlBagOStuff
[caches] LocalisationCache: using store LCStoreDB
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: using request info {
    "IPAddress": "192.168.122.131",
    "UserAgent": "Mozilla\/5.0 (X11; Linux x86_64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/61.0.3163.100 Safari\/537.36",
    "ChronologyProtection": false,
    "ChronologyPositionIndex": 0
}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::openConnection: calling initLB() before first connection.
[DBConnection] Connected to database 0 at 'localhost'.
[DBQuery] wiki0 BEGIN /* Wikimedia\Rdbms\Database::query (LCStoreDB::get)  */
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'deps'  LIMIT 1
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'list'  LIMIT 1
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'preload'  LIMIT 1

[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'preload'  LIMIT 1

[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'fallbackSequence'
 LIMIT 1
User: cache miss for user 1
[DBQuery] wiki0 SELECT /* User::loadFromDatabase  */  user_id,user_name,user_real_name,user_email,user_touched,user_token,user_email_authenticated,user_email_token,user_email_token_expires,user_registration,user_editcount  FROM `user`    WHERE user_id = '1'  LIMIT 1
[DBQuery] wiki0 SELECT /* UserGroupMembership::getMembershipsForUser  */  ug_user,ug_group,ug_expiry  FROM `user_groups`    WHERE
ug_user = '1'
[DBQuery] wiki0 SELECT /* MediaWiki\Storage\RevisionStore::fetchRevisionRowFromConds  */  rev_id,rev_page,rev_text_id,rev_timestam
p,rev_user_text,rev_user,rev_minor_edit,rev_deleted,rev_len,rev_parent_id,rev_sha1,rev_comment AS `rev_comment_text`,NULL AS `rev_
comment_data`,NULL AS `rev_comment_cid`,rev_content_format,rev_content_model,page_namespace,page_title,page_id,page_latest,page_is
_redirect,page_len,user_name  FROM `revision` INNER JOIN `page` ON ((page_id = rev_page)) LEFT JOIN `user` ON ((rev_user != 0) AND
 (user_id = rev_user))   WHERE page_namespace = '8' AND page_title = 'Gadgets-definition' AND (rev_id=page_latest)  LIMIT 1
User: loading options for user 1 from database.
[DBQuery] wiki0 SELECT /* User::loadOptions  */  up_property,up_value  FROM `user_properties`    WHERE up_user = '1'
[DBConnection] Connected to database 0 at 'localhost'.
[DBQuery] wiki0 SHOW /* Wikimedia\Rdbms\DatabaseMysqlBase::serverIsReadOnly  */ GLOBAL VARIABLES LIKE 'read_only'
[SQLBagOStuff] Connection 13606 will be used for SqlBagOStuff
[DBQuery] wiki0 SELECT /* SqlBagOStuff::getMulti  */  keyname,value,exptime  FROM `objectcache`    WHERE keyname = 'wiki0:MWSessio
n:t2ufru9mnf1qrrninbf1e8c4f1gjnd0r'
[DBQuery] wiki0 SHOW /* SearchMySQL::minSearchLength  */ GLOBAL VARIABLES LIKE 'ft\_min\_word\_len'
SearchMySQL::parseQuery: Would search with '+testu82epngu800 '
SearchMySQL::parseQuery: Match with /\btest\.png\b/
[DBQuery] wiki0 SELECT /* SearchMySQL::searchInternal  */  page_id,page_namespace,page_title  FROM `page`,`searchindex`    WHERE (
page_id=si_page) AND ( MATCH(si_title) AGAINST('+testu82epngu800 ' IN BOOLEAN MODE) ) AND page_namespace = '6'  LIMIT 16
SearchMySQL::parseQuery: Would search with '+testu82epngu800 '
SearchMySQL::parseQuery: Match with /\btest\.png\b/
[DBQuery] wiki0 SELECT /* SearchMySQL::searchInternal  */  COUNT(*) as c  FROM `page`,`searchindex`    WHERE (page_id=si_page) AND
 ( MATCH(si_title) AGAINST('+testu82epngu800 ' IN BOOLEAN MODE) ) AND page_namespace = '6'
[DBQuery] wiki0 SELECT /* MediaWiki\Storage\RevisionStore::fetchRevisionRowFromConds  */  rev_id,rev_page,rev_text_id,rev_timestam
p,rev_user_text,rev_user,rev_minor_edit,rev_deleted,rev_len,rev_parent_id,rev_sha1,rev_comment AS `rev_comment_text`,NULL AS `rev_
comment_data`,NULL AS `rev_comment_cid`,rev_content_format,rev_content_model,page_namespace,page_title,page_id,page_latest,page_is
_redirect,page_len,user_name  FROM `revision` INNER JOIN `page` ON ((page_id = rev_page)) LEFT JOIN `user` ON ((rev_user != 0) AND
 (user_id = rev_user))   WHERE page_namespace = '6' AND page_title = 'Test.png' AND (rev_id=page_latest)  LIMIT 1
[DBQuery] wiki0 SELECT /* Title::newFromID  */  page_namespace,page_title,page_id,page_len,page_is_redirect,page_latest,page_conte
nt_model  FROM `page`    WHERE page_id = '160'  LIMIT 1
[DBQuery] wiki0 SELECT /* LocalFile::loadFromDB  */  img_name,img_size,img_width,img_height,img_metadata,img_bits,img_media_type,i
mg_major_mime,img_minor_mime,img_user,img_user_text,img_timestamp,img_sha1,img_description AS `img_description_text`,NULL AS `img_
description_data`,NULL AS `img_description_cid`,img_metadata  FROM `image`    WHERE img_name = 'Test.png'  LIMIT 1
[DBQuery] wiki0 SHOW /* Wikimedia\Rdbms\DatabaseMysqlBase::serverIsReadOnly  */ GLOBAL VARIABLES LIKE 'read_only'
[DBQuery] wiki0 SHOW /* Wikimedia\Rdbms\DatabaseMysqlBase::serverIsReadOnly  */ GLOBAL VARIABLES LIKE 'read_only'
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'namespaceGenderAli
ases'  LIMIT 1
[DBQuery] wiki0 SELECT /* LinkCache::fetchPageRow  */  page_id,page_len,page_is_redirect,page_latest,page_content_model,page_touch
ed  FROM `page`    WHERE page_namespace = '6' AND page_title = 'Test.png'  LIMIT 1
[DBQuery] wiki0 SELECT /* ApiPageSet::initFromTitles  */  page_namespace,page_title,page_id,page_content_model,page_len,page_is_re
direct,page_latest  FROM `page`    WHERE (page_namespace = '6' AND page_title = 'Test.png')
[DBQuery] wiki0 SELECT /* LocalRepo::findFiles  */  img_name,img_size,img_width,img_height,img_metadata,img_bits,img_media_type,im
g_major_mime,img_minor_mime,img_user,img_user_text,img_timestamp,img_sha1,img_description AS `img_description_text`,NULL AS `img_d
escription_data`,NULL AS `img_description_cid`,img_metadata  FROM `image`    WHERE img_name = 'Test.png'
[Mime] MimeAnalyzer::loadFiles: loading mime types from /var/www/html/includes/libs/mime/mime.types

[Mime] MimeAnalyzer::loadFiles: loading mime info from /var/www/html/includes/libs/mime/mime.info
File::transform: Doing stat for mwstore://local-backend/local-thumb/d/d9/Test.png/184px-Test.png
TransformationalImageHandler::doTransform: creating 184x200 thumbnail at mwstore://local-backend/local-thumb/d/d9/Test.png/184px-Test.png using scaler im
TransformationalImageHandler::doTransform: Transforming later per flags.
ContextSource::getContext (FormatMetadata): called and $context is null. Using RequestContext::getMain() for sanity
[DBQuery] wiki0 SELECT /* SqlBagOStuff::getMulti  */  keyname,value,exptime  FROM `objectcache`    WHERE keyname = 'wiki0:messages:ru'
[DBQuery] wiki0 SELECT /* SqlBagOStuff::getMulti  */  keyname,value,exptime  FROM `objectcache`    WHERE keyname = 'wiki0:messages:ru:status'
[DBQuery] wiki0 SELECT /* SqlBagOStuff::getMulti  */  keyname,value,exptime  FROM `objectcache`    WHERE keyname = 'wiki0:messages:ru:lock'
[DBQuery] wiki0 REPLACE /* SqlBagOStuff::setMulti  */ INTO `objectcache` (keyname,value,exptime) VALUES ('wiki0:messages:ru:lock','˴2 \0','20180213112540')
[DBQuery] wiki0 SELECT /* MessageCache::loadFromDB(ru)-big  */  page_title,page_latest  FROM `page`    WHERE page_is_redirect = '0' AND page_namespace = '8' AND (page_title NOT LIKE '%/%' ESCAPE '`' ) AND (page_len > 10000)
[DBQuery] wiki0 SELECT /* MessageCache::loadFromDB(ru)-small  */  page_title,old_id,old_text,old_flags  FROM `page` JOIN `revision` ON ((page_latest=rev_id)) JOIN `text` ON ((rev_text_id=old_id))   WHERE page_is_redirect = '0' AND page_namespace = '8' AND (page_title NOT LIKE '%/%' ESCAPE '`' ) AND (page_len <= 10000)
[DBQuery] wiki0 REPLACE /* SqlBagOStuff::setMulti  */ INTO `objectcache` (keyname,value,exptime) VALUES ('wiki0:messages:ru','  ^v1hR\'  M rU@MZ\ZG I] D7ZǺn qlt ATߧ  \\\"Yd \rN  \nH~cy&>y> S0uFh7 \"S\r \0zj ?u zH{ k肵b\niE (b mÕ c%px $h$ Z7= (\r   .\\Z %(MBpq\rcٵA qk%+\rC* c  qRtB   K" ߆\rZe   ` 93y _> B ݘ%  \\  B &o9K Ƣ \'C \Z   w{+PO ~N77/䤜&J?9   \0& 8s~\0.<[< ?ky3ݥ*  X&tb?3\Z  )k z )[O[sC61*]rq+N]Zɯڸ^ncΫlݒ\\2\Z\0','20380119031407')
[DBQuery] wiki0 DELETE /* SqlBagOStuff::delete  */ FROM `objectcache` WHERE keyname = 'wiki0:messages:ru:lock'
[MessageCache] MessageCache::load: Loading ru... local cache is empty, global cache is expired/volatile, loading from database
[DBQuery] wiki0 SELECT /* LCStoreDB::get  */  lc_value  FROM `l10n_cache`    WHERE lc_lang = 'ru' AND lc_key = 'messages:metadata-fields'  LIMIT 1
[DBQuery] wiki0 SELECT /* LocalFile::getHistory  */  oi_name,oi_archive_name,oi_size,oi_width,oi_height,oi_bits,oi_media_type,oi_major_mime,oi_minor_mime,oi_user,oi_user_text,oi_timestamp,oi_deleted,oi_sha1,oi_description AS `oi_description_text`,NULL AS `oi_description_data`,NULL AS `oi_description_cid`,oi_metadata  FROM `oldimage` FORCE INDEX (oi_name_timestamp)    WHERE (oi_name = 'Test.png')  ORDER BY oi_timestamp DESC LIMIT 1
ApiMain::setCacheMode: setting cache mode private
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
[DBReplication] Wikimedia\Rdbms\ChronologyProtector::shutdownLB: DB 'localhost' touched

MediaWiki::preOutputCommit: LBFactory shutdown completed
[DBQuery] wiki0 COMMIT /* MWCallableUpdate::doUpdate  */
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Closing connection to database 'localhost'.
[DBConnection] Closing connection to database 'localhost'.

The bug in the description sounds like T182014 to me. If I wait a second after the dialogue opens, and type L, I get results.

@Igorsolovki That sounds like a different bug from this one. Please file a separate task for it. Thanks!

@Igorsolovki Also, it'd be really nice if you could separate out your reproduction steps from your pastes of the logs. It's difficult for me to follow the steps to understand the problem you're having.

Hi, this is not the bug you think it is duplicate of)

steps are follows:
1.open search dialogue, print 'test.pn' (see screenshot)
2.nothing found, gets the logs above (after screenshot)
3.puts letter 'g' so the search string becomes 'test.png' (see screenshot)
4.found picture 'test.png', gets the logs (different ones)

Hi, this is not the bug you think it is duplicate of)

steps are follows:
1.open search dialogue, print 'test.pn' (see screenshot)
2.nothing found, gets the logs above (after screenshot)
3.puts letter 'g' so the search string becomes 'test.png' (see screenshot)
4.found picture 'test.png', gets the logs (different ones)

That is still sounding like a different bug from the one in the description, which refers specifically to a single-letter query returning no results. Please file it as a separate task.